Subject: [PATCH 0/4] Per device coherent DMA map ops

From: [email-masked] (Arnd Bergmann)
Date: Mon, 20 Aug 2012 20:06:24 +0000

On Monday 20 August 2012, Rob Herring wrote:
> > 
> > I like those patches and I would like to take it to my dma-mapping-next tree, but I wonder 
> > how to handle merging of the last patch. Arnd, Olof - could You tell me how to do it? I assume
> > that it should be somehow merged by arm-soc tree, so it depends on the earlier patches.
> > Would it be enough if I take them to the topic branch? Then I can continue works on 
> > dma-mapping subsystem by merging that topic branch to my dma-mapping-next and you will
> > also take it as a dependency for highbank patches. Am I right?
> > 
> 
> I'm fine with it all going in thru your tree. Seems a bit silly to deal
> with tracking the dependencies all for 1 patch. The only possible
> conflict I see is with the dts file and some other SATA related changes
> which will go in via the ata tree. But the merge is trivial and the
> conflict will be there either with your tree or arm-soc.

Right. I see no problem having this patch go through the dma-mapping tree.

	Arnd